## ros-indigo-worldlib 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(worldlib)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  roscpp
  roslib
  tf2
  tf2_ros
)
find_package(Boost REQUIRED COMPONENTS
  random
)
find_package(PkgConfig)

###################################################
## Declare things to be passed to other projects ##
###################################################

## External libraries
set(WORLDLIB_EXTERN_LIBS
  curl
  jsoncpp
  mysqlclient
  yaml-cpp
)

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs roscpp tf2 tf2_ros
  DEPENDS Boost ${WORLDLIB_EXTERN_LIBS}
)

###########
## Build ##
###########


## Check for what version of YAML we have
pkg_check_modules(YAML_CPP yaml-cpp)
if(${YAML_CPP_VERSION} VERSION_GREATER 0.5)
  add_definitions(-DYAMLCPP_GT_0_5_0)
endif()

## Specify additional locations of header files
include_directories(include
  ${boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${YAML_CPP_INCLUDE_DIRS}
)

# Source files for the library
set(WORLDLIB_SOURCE
  # Geometry source files
  src/geometry/Orientation.cpp
  src/geometry/Pose.cpp
  src/geometry/Position.cpp
  # Model source files
  src/model/PersistenceModel.cpp
  src/model/PlacementModel.cpp
  src/model/TaskModel.cpp
  # Remote source files
  src/remote/Client.cpp
  src/remote/HttpClient.cpp
  src/remote/InteractiveWorldModelClient.cpp
  src/remote/Node.cpp
  src/remote/SpatialWorldClient.cpp
  src/remote/SpatialWorldObservation.cpp
  src/remote/SqlClient.cpp
  src/remote/SqlEntity.cpp
  # World source files
  src/world/Item.cpp
  src/world/Object.cpp
  src/world/Observation.cpp
  src/world/Placement.cpp
  src/world/PlacementSurface.cpp
  src/world/PointOfInterest.cpp
  src/world/Room.cpp
  src/world/Surface.cpp
  src/world/World.cpp
)

## Declare a cpp library
add_library(${PROJECT_NAME} ${WORLDLIB_SOURCE})

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${WORLDLIB_EXTERN_LIBS}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

## Copy config files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
  FILES_MATCHING PATTERN "*.yaml"
)

=== debian/changelog ===
ros-indigo-worldlib (0.0.2-0trusty) trusty; urgency=high

  * fixes bug in linking and adds new surfaces to RAIL world
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-worldlib (0.0.1-0trusty) trusty; urgency=high

  * added observer
  * yaml fix
  * added surface checks
  * initial testing of geolife data complete
  * added geolife parsing
  * probability of item still being on a surface added
  * added persistence model
  * mutable accesors
  * abstract node started
  * nodes started
  * started parser for interactive world
  * random value from gaussian used as removal estimate
  * created Client --> SqlClient classes
  * basics of worldlib started
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 May 2015 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-worldlib
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libcurl4-openssl-dev, libjsoncpp-dev, libmysqlclient-dev, libyaml-cpp-dev, pkg-config, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-tf2, ros-indigo-tf2-ros
Homepage: http://ros.org/wiki/worldlib
Standards-Version: 3.9.2

Package: ros-indigo-worldlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libcurl4-openssl-dev, libjsoncpp-dev, libmysqlclient-dev, libyaml-cpp-dev, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-tf2, ros-indigo-tf2-ros
Description: C++ Library for World State Learning Methods

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-worldlib//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
